#IBM DIRECTORY SERVER
#
# Starts idsldap

description "Autostart IBM LDAP Admin Daemon Instance"
version "6.3.0.0"

#start on runlevel [2345]
start on started fmcd
stop on runlevel [016]

console output
pre-start script
    echo "STARTING IBM LDAP"
    sleep 10s

end script
exec /opt/ibm/ldap/V6.3/sbin/ibmdiradm -I idsldap > /dev/null 2>&1 
#exec /opt/ibm/ldap/V6.3/sbin/ibmdiradm -I idsldap

exec /opt/ibm/ldap/V6.3/sbin/ibmslapd -I idsldap > /dev/null 2>&1 

post-start script
    echo "STARTED IBM LDAP"
end script

